Bug 2041588 - [RFE] Add Type to cdn configuration for 'disconnected' mode
Summary: [RFE] Add Type to cdn configuration for 'disconnected' mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Partha Aji
QA Contact: Radek Mynar
URL:
Whiteboard:
: 2040444 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-17 18:47 UTC by Partha Aji
Modified: 2022-07-05 14:32 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-4.3.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:32:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33951 0 Normal Closed RH Repos page should not access CDN on 'disconnected' mode 2022-02-01 11:57:28 UTC
Red Hat Issue Tracker SAT-7514 0 None None None 2022-01-18 01:38:08 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:32:15 UTC

Description Partha Aji 2022-01-17 18:47:35 UTC
The `content_disconnected` setting is currently used to describe 2 different things
1) To disable access the Subscription Portal and update entitlements
2) To indicate that the cdn is inaccessible and red hat repositories can be disabled

However the "Connected ISS" work introduces a new meaning of Disconnected. Here the downstream satellite is pulling content from an upstream satellite and not the CDN. Instead of conflating "Disconnected" to be "Air-Gapped Disconnected" only, we need to split the definition of disconnected by introducing 2 things

1) Rename 'content_disconnected' to 'subscription_connection_enabled' (which means the user can connect to the portal and setup entitlements.)
2) Add a "air-gapped", "cdn" or "satellite" type value to CDN Configuration (which is setup for each org) to clearly delineate the use cases.
If The type setting is 'air-gapped' the user should not allowed to enable/disable repositories (user has to use import/export for that.)

Comment 1 Partha Aji 2022-01-18 01:31:43 UTC
Connecting redmine issue https://projects.theforeman.org/issues/33951 from this bug

Comment 3 Partha Aji 2022-01-18 01:36:27 UTC
*** Bug 2040444 has been marked as a duplicate of this bug. ***

Comment 4 Bryan Kearney 2022-01-25 20:05:25 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33951 has been resolved.

Comment 10 Radek Mynar 2022-05-23 15:18:38 UTC
Setting 'content_disconnected' was renamed to 'subscription_connection_enabled'. 

CDN configurations is editable in UI (Content->Subsriptions->CDN Configuration) and using CLI (hammer organization configure-cdn ...) for each organization.

All these settings work as specified in description.

VERIFIED with Satellite 6.11 SNAP 20 @ RHEL7.9

Comment 13 errata-xmlrpc 2022-07-05 14:32:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.